﻿
using Android.App;
using Android.OS;
using Android.Widget;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace test
{
    [Activity(Label = "test", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView mapView;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            /* My test phone is Samsung GT 18262 Android 4.1.2, I am using Xamarin Studio 5.9 Build 431 latest version and libraries for testing, I created project and added necessary files from your library */
            /* Firstly let us test dynamic addition, later my suggested embedded map resource layout, 
             * and finaly let us test your recomended layout. First says no class,second and third says layout xml inflate error no class
            /* test 1 */
            SetContentView(Resource.Layout.Main);
            FrameLayout layout = (FrameLayout)FindViewById(Resource.Id.androidMapFrame);
            mapView = new MapView(this.ApplicationContext);
            mapView.MapUnit = GeographyUnit.DecimalDegree;
            mapView.CurrentExtent = new RectangleShape(80, 150, 150, 80);
            layout.AddView(mapView);
            /* test 2 */
            //	SetContentView (Resource.Layout.Main1);				
            /* test 3 */
            //	SetContentView (Resource.Layout.Main2);				

        }


    }
}


